[android-components](../../index.md) / [mozilla.components.concept.engine.webextension](../index.md) / [WebExtension](index.md) / [getMetadata](./get-metadata.md)

# getMetadata

`abstract fun getMetadata(): `[`Metadata`](../-metadata/index.md)`?` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/engine/src/main/java/mozilla/components/concept/engine/webextension/WebExtension.kt#L156)

Returns additional information about this extension.

**Return**
extension [Metadata](../-metadata/index.md), or null if the extension isn't
installed and there is no meta data available.

